Subject: Field size of t3ver_label too low
Description

During workspace move operations sometimes a warning like this can be found:

102: These fields are not properly updated in database: (t3ver_label) Probably value mismatch with fieldtype.

The reason is, that the t3ver_label field in almost every record is limited to 30 characters.
The DataHandlerHooks tries to set t3ver_label to "Placeholder version for moving record" (37 characters) which leads to the
mentioned mismatch.

Associated revisions
Revision 7f21712f - 2014-06-12 18:14 - Oliver Hader

[BUGFIX] Field size of t3ver_label too low

During workspace move operations sometimes a warning like
this can be found:

102: These fields are not properly updated in database:
  (t3ver_label) Probably value mismatch with fieldtype.

The reason is, that the t3ver_label field in almost every
record is limited to 30 characters in the SQL definition.
Besides that the error code "102" of the mentioned warning
is invalid and should just be "1" to be recognized by the
accordant functional tests as well.

Resolves: #59110
History
#1 - 2014-05-27 16:59 - Oliver Hader

Since the "varchar(30)" definition has been copied and pasted for ages now, I guess it might be easier to reduce the information that TYPO3 is putting
into that field and maybe to normalize the structure.

#2 - 2014-05-28 12:32 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30466

#3 - 2014-05-28 12:33 - Oliver Hader
- Assigned To set to Oliver Hader

#4 - 2014-06-12 18:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7f21712f3a54035bd6d1580668cb94df47fa0af5.
